org.apache.solr.client.solrj.cloud.autoscaling

## Class Cell

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Cell

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class Cell
    extends Object
    implements MapWriter

Each instance represents an attribute that is being tracked by the framework such as , freedisk, cores etc

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`Cell(int index, String name, Object val, Object approxVal, Suggestion.ConditionType type, Row row)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Cell` `copy()`
`Object` `getApproxValue()`
`String` `getName()`
`Row` `getRow()`
`Object` `getValue()`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Constructor Detail

#### Cell

    public Cell(int index,
                String name,
                Object val,
                Object approxVal,
                Suggestion.ConditionType type,
                Row row)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getRow

    public Row getRow()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### copy

    public Cell copy()

#### getName

    public String getName()

#### getValue

    public Object getValue()

#### getApproxValue

    public Object getApproxValue()